#
# spec file for package zen-updater (Version 7.3.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           zen-updater
BuildRequires:  glib-sharp2 gtk-sharp2 gtk2-devel log4net mono-basic mono-data-sqlite mono-devel perl-XML-Parser update-desktop-files zmd-devel
Url:            http://novell.com/
Version:        7.3.0
Release:        0.4.28
License:        LGPL v2.1 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Source1:        zen-updater-po.tar.bz2
Patch:          zen-updater-man_perms.patch
Patch1:         zen-updater-default-view.patch
Patch2:         fix-ld-library-path.patch
Summary:        Novell ZENworks Linux Management daemon
Group:          System/Management
AutoReqProv:    on
Requires:       zen-updater

%description
The ZENworks updater is a small GUI tool to update system software
using the ZENworks daemon.  A command-line tool is also available, see
the "rug" package.



Authors:
--------
    Chris Rivera <crivera@novell.com>

%prep
%setup -q -a1
%patch
%patch1
%patch2

%build
ACLOCAL="aclocal -I ." autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-w" \
./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--localstatedir=%_localstatedir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%suse_update_desktop_file -G "" -C "" zen-installer
%suse_update_desktop_file -G "" -C "" zen-remover
%suse_update_desktop_file -G "" -C "" zen-updater
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%dir %{_prefix}/lib/zen-updater
%dir %{_libdir}/zen-updater
%{_prefix}/lib/zen-updater/*
%{_libdir}/zen-updater/*
%{_prefix}/bin/*
%dir /etc/xdg/autostart
/etc/xdg/autostart/*.desktop
%{_prefix}/share/applications/*.desktop
%{_prefix}/share/pixmaps/zen-icon.png
%{_mandir}/*/*

%changelog
* Fri Jun 26 2009 tarvindkumar@novell.com
- First code drop for SLE10 SP3.
- Synced Novell ZLM SVN to autobuild.
- Bumped zen-updater version to 7.3.0
- Includes fix for Bug # 431615 - novell-zmd still produces unwanted GUI popup. Modified the code to not display the popup when    zen-updater is launched on login while zmd is not running
* Wed Apr 23 2008 mrashmiranjan@suse.de
- Source drop. Synched with the source for ZLM 7.2 IR2 release.
- Contains fix for # 363990 - ZMD unable to show category
* Fri Apr  4 2008 mrashmiranjan@suse.de
- Contains black-out enhancement.
- Fix for weird line breaks in details window.
* Mon Mar  3 2008 ro@suse.de
- integrated change from mauro:
  - Updated translations
* Mon Mar  3 2008 mrashmiranjan@suse.de
- New source drop.
- Fixes # 363874 - Online Migration package selection issues with zen updater.
* Mon Feb 18 2008 mrashmiranjan@suse.de
- New source drop.
- Contains fixes for some of the issues found in Beta1 and Beta 2
- Also contains FATE # 303284
* Mon Feb  4 2008 mrashmiranjan@suse.de
- New source drop.
- Fixes bugs found in Beta1 and some older bugs of SP1.
- Also contains some minor enhancements.
* Fri Jan 11 2008 mrashmiranjan@suse.de
- Synced Novell SVN source with autobuild. Contians FATE enhancments
  and numerous bug fixes.
* Wed Nov 21 2007 mrashmiranjan@novell.com
- ZMD code base in autobuild was newer, but zen-updater code base was old.
  So synced autobuild code base with Novell ZLM SVN code base.
* Wed Oct 24 2007 mrashmiranjan@novell.com
- Synced Novell SVN source with autobuild.
* Fri Sep 28 2007 mrashmiranjan@novell.com
- First source drop to SLES10-SP2 branch
- Synced Novell SVN source with autobuild.
- Bumped version to 7.2.1
* Fri Aug 24 2007 mrashmiranjan@novell.com
- Used /sbin/reboot in stead of reboot to enable non-root users reboot the system.
  Fixes # 203051
* Mon Jul 23 2007 mrashmiranjan@suse.de
- Submitted fix for following bugs
  203051 – Online update of kernel should force reboot.
  269514 – Unable to update the iprint client (packages already exist).
* Fri May 11 2007 mrashmiranjan@suse.de
- New Source Drop
- Changed default view of zen-updater to --patch-view to facilitate only patch upgrade.
  Fixes # 269065
- Added another option --view-all to enable the user to view all types of resolvables.
- Modified action button sensitivity upon clicking any of the "Type" link.
  Fixes # 273526
* Mon Apr 23 2007 mrashmiranjan@novell.com
- New source drop.
- Modified to show message "Waking up ZMD.." while waking ZMD before showint list of upates in zen-updater.
- Modified to show message "Package already installed" in stead of "Install successful" for already
  installed packages in zen-installer. FIxes # 247135
* Wed Apr 18 2007 bvenugopal@suse.de
- New Source Drop
- Updated PO files to support all languages.
* Fri Apr 13 2007 mrashmiranjan@novell.com
- Bumped zen-updater version from 7.1.100 to 7.2.0 (In sync with zmd)
* Thu Mar 22 2007 mrashmiranjan@novell.com
- New Source drop
- Updated man pages and po files.
* Thu Mar 15 2007 gekker@suse.de
- Fix build, we need to own /etc/xdg/autostart or depend on a
  package that does.
* Tue Mar 13 2007 mrashmiranjan@novell.com
- New Source drop
- Fix for # 253944 & 253025
- Added check for installed version of gtk2 package.(> 2.4)
- Modified fix-ld-library-path.patch as the source files were modified.
- Modified spec file to remove '%%dir /etc/xdg/autostart'. This is not required
  as blank /etc/xdg/autostart dir is not packaged. A file inside the directory
  is packaged, which is there in the spec file..
* Tue Feb 27 2007 mrashmiranjan@novell.com
- Modified to follow best package approach only for packages.
  Fixes # 248143
* Fri Feb 23 2007 bvenugopal@suse.de
- Modified zen-updater.spec to work for both SLE 10 and opensuse
* Mon Feb 19 2007 bvenugopal@suse.de
-  Integrated localization changes.
* Fri Feb 16 2007 mrashmiranjan@novell.com
- Added the message sent by ZMD upon transaction failure. Fixes # 243467
* Mon Feb  5 2007 bvenugopal@suse.de
- New code drops (r42345)
- Removed the work around provided for # 229561 and fix for # 233104
- Made changes to make "Show version details" checkbox unselected
  by default.
- Commented out code that shows popup message that best package will
  be installed
- Check whether ResolvePackagesForBundle has returned Success or not.
- Removed zen-updater-desktop.patch
* Tue Jan  9 2007 ro@suse.de
- autoreconf to fix libtool breakage
* Mon Jan  8 2007 bvenugopal@novell.com
- Code drop for SLE10 SP1
- Includes "Best Package" install support.
- Default view is changed to patch view.
- Fix #229561 - registration fails with invalid key
- Fix #203051 - Reboot when patch requires machine reboot
- Fix #222587 - Multiple service add of same type.
- Fix #223296 - incorporated zen-updater-null-type.patch from suse
    repo.
* Sun Nov 26 2006 aj@suse.de
- Handle MONO_GAC_PREFIX as well (#187055).
  Thanks Andreas Hanke!
* Sun Nov 26 2006 aj@suse.de
- Fix ld-libraray path setting (#187055).
* Sat Nov 25 2006 aj@suse.de
- Update translations.
* Thu Nov 23 2006 jpr@suse.de
- Scope event box into the delegate (#223296)
* Thu Nov 23 2006 lmichnovic@suse.cz
- updater should not start in KDE automatically (desktop.patch)
  [#219390]
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Mon Oct 23 2006 maw@suse.de
- New source drop (r35738) which:
- Moves the superuser permission check into another thread so we
  don't block the UI when we're installing local rpms (#213376)
- Removes the security and optional icons and replaces them with
  "(Security)" and "(Optional)" next to the package name, as
  appropriate; the icons were confusing and GTK doesn't have a
  nice way to do per-cell tooltips (#193595)
- Removes ing-follows-follow-to-make-following.patch, which is
  now upstream.
* Fri Oct 20 2006 maw@suse.de
- Add patch (ing-follows-follow-to-make-following.patch), fixing
  a trivial tyop.
* Tue Oct 17 2006 maw@suse.de
- New source drop (r35517) which:
- Handles the case where zmd isn't running but the tray icon
  doesn't know that when the configure menu entry is clicked
  (#209357).
* Fri Oct 13 2006 maw@suse.de
- New source drop (r35392) which:
- Checks the uid to figure out if we need to launch
  inst_suse_register with an su app or not (#212036)
- Sorts the list of removals and addional installs (#210695)
- Adds ellipses to the configure button and add service button
  (#202620)
- Doesn't add our TreeView to the scrolled window with a viewport
  and changes the vertical adjustments after searching
- Changes the main content properties to functions and adds support
  for getting only the latest installs; adds an --all-versions
  flag; by default, zen-installer will only show the latest
  packages (#189145)
- Correctly initializes the FilterType flags
- Uses ThreadPool.QueueUserWorkItem () instead of starting our
  own threads
- Asks if the user wants to add a service if he tries to refresh
  without any; asks the user if he wants to add a service if he
  opens the main window without any
- Highlights the current filter label (#193593)
- Adds a column for a lock icon if the preference can't be edited
  by the user; we also look at the set privilege of each preference
  and set the Editable property on the cell renderer accordingly
  (#164212)
- Gets the list of service types acync in case the daemon is
  sleeping
- Allows the Configure window to be closed and opened again
  during service addition and removal
- Makes sure the catalog list is in the correct state after
  a privileged user is added (#196798)
- Bumps the version to 7.1.100.
* Wed Jul  5 2006 maw@suse.de
- New source drop (r31633) which:
- If we're performing an operation as a non-root user and
  we encounter a key error, asks the user to import the key and
  prompts the user for the root password (#190221).
* Fri Jun 30 2006 maw@suse.de
- New source drop (r31462) which:
- Doesn't refresh our view, and thus nuke selections, if we get
  dependency resolution or transaction failures (#189774)
- Always stops the tray animation, sets the default images, and
  pulses the update thread (#189322).
* Wed Jun 21 2006 thunder@suse.de
- New source drop (r30792):
- Escape the text in the key accept dialog.
* Wed Jun 21 2006 thunder@suse.de
- New source drop (r30738):
- Refresh the main window when catalog subscriptions change, after
  a shortly delay, instead of when the configure window is closed.
  This fixes 185940.
- Don't display repeated errors when ZMD is not running.  This
  fixes #186932.
- Display the correct action in the progress bar.
* Mon Jun 19 2006 thunder@suse.de
- New source drop (r30638):
- init gtk in the service utility helper and only query for installed packages
  in the system catalog.  This fixes 186282 and 186170.
* Sat Jun 17 2006 thunder@suse.de
- New source drop (r30635):
- Don't ask to import keys on service add if the user doesn't have superuser
  privileges.
* Mon Jun 12 2006 maw@suse.de
- New source drop (r30171) which:
- Adds a hack to use a specialized clipboard to detect if there is
  already a running instance of the updater (#170320).
* Thu Jun  8 2006 maw@suse.de
- New source drop (r29997) which:
- Makes sure we correctly handle refresh errors, doesn't use
  the GLib idle stuff to check the refresh progress, and uses the
  zmd refresh schedule to figure out when to ask for updates.
  [#181734]
- Sponsors and unsponsors the ITransaction object we get back from
  Transact ().  This was causing zmd to stay awake after
  transactions.  #178340
- Makes the permissions check in another thread so we don't block
  the UI if the daemon happens to be asleep.  #179858
* Fri Jun  2 2006 maw@suse.de
- New source drop (r29631) which:
- Makes sure the select label is set insensitive in zen-installer
  and zen-updater, and makes sure we always pass an absolute path
  to QueryLocalFile() (#181062)
- Implements a timeout for pulling content from zmd.  IF zmd is
  restarting after a transactino we'll need this (helps with
  [#179413])
- Gets rid of the GLib idle handler.  We were always talking to
  zmd in the gtk main thread, which was causing small delays when
  updating the UI (helps with #173383)
* Thu Jun  1 2006 maw@suse.de
- New source drop (r29516) which:
- Adjusts a few key/digest messages
- Doesn't show the Installed Version field if the entry is blank.
* Wed May 31 2006 maw@suse.de
- New source drop (r29404) which:
- Fixes a few dialog spacing issues
- Re-factors resolution/transaction stuff so all resolvables
  are resolved/transacted together
- Implements ITransactionEventHandler and adds links for filtering
  available types shown (#174736, #177903, and #178015)
- Fixes #177609, #179500, and #175109
- Adds support for handling key/digest related errors.
* Mon May 22 2006 maw@suse.de
- New source drop (r28694) which:
- Accepts pkg catalog:pkg or pkg.rpm on the command line for
  zen-installer;  also makes sure we prompt with gnomesu if we're
  installing local rpms
- Allows zen-updater to take catalog:package entries on the command
  line
- Correctly calculates updates for patterns and products, fixing
  [#177547] and #175150.
* Thu May 18 2006 maw@suse.de
- New source drop (r28510) which:
- Fixes a tree view selection issue
- Fixes a GTK warning.
* Tue May 16 2006 maw@suse.de
- New source drop (r28496) which:
- Shows the resolvable status in the details section
- Fixes a few UI bugs
- Shows a message while catalogs are loading
- Allows the updater to be closed/opened during transactions.
* Mon May  1 2006 maw@suse.de
- New source drop (r27697) which:
- Cleans the catalog UI
- Displays unhandled exceptions and exits
- Allows services to be configured from the main window if there
  are no services available.
* Wed Apr 26 2006 maw@suse.de
- New source drop (r27536) which:
- Allows service types to be autodetected
- Shows the number of available updates in the tooltip
- Handles adding zypp services correctly.
- Also, see the previous changelog entry; apparently that source
  drop was bogus and didn't include everything advertised.
* Mon Apr 24 2006 maw@suse.de
- New source drop (r27354) which:
- Allows Esc to close the configure window
- Cleans up the license dialog and makes sure the strip HTML
  tags from licenses
- Fixes the permissions label issue
- Displays the media message and label.
* Thu Apr 20 2006 maw@suse.de
- New source drop (r27273) which:
- Uses prctl to change our process name
- Handles patches that require the update stack to be restarted.
* Tue Apr 18 2006 maw@suse.de
- New source drop (r27073) which:
- Adds tons of translations
- Adds and uses some glue code to exec ourself when we get a SIGHUP
- Adds a clear button for searching and handles
  TreeView.RowActivated
- Sets the status of a service being removed.
- Nuke zen-updater-po.tar.bz2 and its baggage in the .spec; its
  goodness has been brought into cvs.
- Remove the tray icon transparency patch; it is now in svn.
* Thu Apr 13 2006 sbrabec@suse.cz
- Updated cs.po.
* Thu Apr 13 2006 sbrabec@suse.cz
- Fixed translation conflicts and language names (153732#c12).
* Wed Apr 12 2006 maw@suse.de
- New source drop (r27024) which:
- Doesn't escape package descriptions with GLib.Markup since it
  isn't being displayed as markup
- Handles the case where the user doesn't have view privs
- Adds support for running yast2 inst_suse_register through
  the service add dialog.
* Tue Apr 11 2006 maw@suse.de
- New source drop (r26962) which:
- Makes sure security updates are shown at the top of the update
  list
- Adds support for editing preferences
- Adds support to display licenses.
* Thu Apr  6 2006 maw@suse.de
- New source drop (r26747) which:
- Gets rid of the Importance field in favour of Category
- Sees if writes to the database were caused by the daemon going
  to sleep before we ask for the update status.
* Tue Apr  4 2006 maw@suse.de
- New source drop (r26628) which:
- Presents the configure and update windows to the user if they are
  already being displayed.
- Remove the autostart patch; it's in svn now.
* Tue Apr  4 2006 sbrabec@suse.cz
- Updated Czech translation.
* Fri Mar 31 2006 stbinner@suse.de
- fix autostart configuration tab not appearing anymore (#159395)
* Wed Mar 29 2006 maw@suse.de
- New source drop (r26362) which:
- Moves the autostart stuff to /etc/xdg
- Implements autostart handling of XDG_CONFIG_DIRS
- Fixes localization.
* Tue Mar 28 2006 sbrabec@suse.cz
- Added Hungarian translation and partial translations for other
  languages (#153732).
* Mon Mar 27 2006 maw@suse.de
- New source drop (r26224) which:
- Displays summary and description fields for patches, patterns,
  and products
- Handles RemotingExceptions in a few places to detect that the
  daemon isn't running
- Fixes a small sensitivity search bug with zen-remover
* Fri Mar 24 2006 maw@suse.de
- New source drop (r26186) which:
- Initializes the tray tooltip
- Fixes a stupid refresh bug
- Fixes a small progress bar error
* Fri Mar 24 2006 sbrabec@suse.cz
- Added Czech translation.
* Thu Mar 23 2006 maw@suse.de
- New source drop (r26058) which:
- Makes the necessary changes to never need to add users to zmd
  with superuser privileges.  Service operations, which require
  superuser, require the user to either exist in zmd as a
  superuser or to authenticate via gnomesu/kdesu
- Fixes the initial delay when clicking the refresh menu entry
- Requires superuser privileges to install local packages
- Users the new API in the updater
- Fixes a small refresh bug
- Requires a new zmd.
* Tue Mar 21 2006 stbinner@suse.de
- put zen-updater-auto.desktop into /etc/xdg/autostart (#159395)
* Fri Mar 17 2006 maw@suse.de
- New source drop (r25746) which:
- Adds media change support
- Fixes a few ui bugs
- Only adds users to zmd as superuser when necessary.
* Tue Mar 14 2006 maw@suse.de
- New source drop which:
- Improves exception handling
- Correctly filters resolvable types before transactions.
* Mon Mar 13 2006 maw@suse.de
- New source drop which:
- Adds basic support for patches, patterns, and products
* Sun Mar 12 2006 thunder@suse.de
- New source drop:
- make searching asynchronous
- adding a name field for yum service addition
- added man pages
- set localstatedir correctly
* Thu Mar  9 2006 maw@suse.de
- New source drop which:
- Adds support for proper autostart
- Fixes a few small usability bugs
- Removes packages correctly with zen-remover
- Remove zen-updater-args.patch.
* Tue Mar  7 2006 maw@suse.de
- New source drop
- Changed most daemon communications to be async
- Add mouse-over icon change for All and None labels
- Fixed some usability bugs
- Updated the .desktop files
- Removed a patch which changed the .desktop files.
* Tue Feb 28 2006 maw@suse.de
- New source drop
- Get data from zmd asynchronously.
- Lots of bug fixes.
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Thu Feb 23 2006 stbinner@suse.de
- fix startup notification and autostart of zen-updater under KDE
* Wed Feb 22 2006 danw@suse.de
- Add zen-updater-transparent-trayicon.patch to make the tray icon
  pretty under KDE. #135448
* Tue Feb 21 2006 thunder@suse.de
- New source drop, replaces the catalog and services ui with a configuration
  dialog, plus some other bugfixes.
- Use desktop files that come with zen-updater.
* Mon Feb 20 2006 thunder@suse.de
- New source drop.
* Fri Feb 17 2006 maw@suse.de
- New source drop.
* Fri Feb 17 2006 stbinner@suse.de
- fix Name<->GenericName duplication in .desktop file
* Tue Feb 14 2006 maw@suse.de
- New source drop and new patch to build against the current zmd.
- Bump the version number from 0.1.0 to 7.1.0.
* Sat Feb  4 2006 maw@suse.de
- New source drop.
* Mon Jan 30 2006 thunder@suse.de
- Change files list, so library is in libdir now.
* Mon Jan 30 2006 thunder@suse.de
- New source drop.
* Fri Jan 27 2006 maw@suse.de
- New source drop.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 jpr@suse.de
- Add autostart files for kde and gnome
* Tue Jan 17 2006 thunder@suse.de
- New source drop.
* Tue Jan 17 2006 thunder@suse.de
- Add build-dependency on zmd-devel, remove zmd-logger.
* Fri Jan 13 2006 gekker@suse.de
- Fixup nfb and Requires for new gtk-sharp2 packaging
* Tue Jan 10 2006 thunder@suse.de
- Oops.. fix %%files typo.  %%_{prefix} is Wrong.
* Tue Jan 10 2006 thunder@suse.de
- Fix bug 142434.
* Tue Jan 10 2006 thunder@suse.de
- New tarball fixes problem on x86_64.
* Mon Jan  9 2006 thunder@suse.de
- Add zmd as a build-dependency.
* Sat Jan  7 2006 thunder@suse.de
- Initial check-in for code 10
